/*
 * DESCRIPTION:
 * font.c header.
*/

#pragma once

#include "../util/UTIL.h"

#include <SDL2/SDL_ttf.h>

struct Font
{
	TTF_Font* ttf;
	s32 size;
	bool isInit;
};

s32 font_height_get(struct Font* self);
s32 font_line_skip_get(struct Font* self);
bool font_init(struct Font* self, char* path, s32 size);
void font_free(struct Font* self);
