/*
 * DESCRIPTION:
 * music.c header.
*/

#pragma once

#include <SDL2/SDL_mixer.h>

#include "../util/UTIL.h"

struct Music
{
	Mix_Music* chunk;
	bool isInit;
};

bool music_is_playing(void);
void music_free(struct Music* self);
bool music_init(struct Music* self, char* path);
void music_pause(void);
void music_play(struct Music* self, bool isLoop);
void music_resume(void);
void music_stop(void);
