/*
 * DESCRIPTION:
 * sound.c header.
*/

#pragma once

#include <SDL2/SDL_mixer.h>

#include "../util/UTIL.h"

struct Sound
{
	struct Mix_Chunk* chunk;
	bool isInit;
};

bool sound_init(struct Sound* self, char* path);
void sound_free(struct Sound* self);
void sound_play(struct Sound* self, s32 channel);
