/*
 * DESCRIPTION:
 * vbo.c header.
*/

#pragma once

#include <GL/glew.h>
#include <GL/gl.h>

#include "../util/UTIL.h"

typedef struct VBO
{
	GLuint handle;
	GLint type;
	bool isDynamic;
} VBO;

void vbo_buffer(struct VBO* self, size_t size, void* data);
void vbo_bind(struct VBO* self);
void vbo_free(struct VBO* self);
void vbo_init(struct VBO* self, GLint type, bool isDynamic);
