/*
 * DESCRIPTION:
 * Circle component.
*/

#include "c_circle.h"

/* Sets circle component values. */
void
c_circle_set(struct CCircle* self, f32 radius)
{
	self->radius = radius;
}

/* Registers circle component. */
void
c_circle_register(void)
{
	ecs_register
	(
		ECS_C_CIRCLE,
		sizeof(struct CCircle),
		C_CIRCLE_LIMIT,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL
	);
}
