/*
 * DESCRIPTION:
 * c_control.c header.
*/

#pragma once

#include "c_physics.h"

#define C_CONTROL_LIMIT 0xFF

struct CControl
{
	u32 id;
	bool isDisabled;
	f32 speed;
	f32 moveMinimum;
};

void c_control_set(struct CControl* self, f32 speed, f32 moveMinimum);
void c_control_register(void);
