/*
 * DESCRIPTION:
 * c_orbit.c header.
*/

#pragma once

#include "c_game_object.h"
#include "c_rotation.h"

#define C_ORBIT_LIMIT 0xFF
#define C_ORBIT_GAME_OBJECT_LIMIT 0xFF

struct COrbit
{
	u32 id;
	struct Vector objects; /* u32; GameObject ID */
	f32 offset;
};

void c_orbit_set(struct COrbit* self, f32 offset);
void c_orbit_object_add(struct COrbit* self, u32 id);
void c_orbit_object_delete(struct COrbit* self, u32 id);
void c_orbit_object_clear(struct COrbit* self, u32 id);
void c_orbit_register(void);
