/*
 * DESCRIPTION:
 * c_physics.c header.
*/

#pragma once

#include "entity.h"

#define C_PHYSICS_LIMIT 0xFF

struct CPhysics
{
	u32 id;
	f32 velocityMax;
	f32 friction;
	vec3 position;
	vec3 velocity;
};

void c_physics_set(struct CPhysics* self, vec3 position, f32 friction, f32 velocityMax);
void c_physics_register(void);
