/*
 * DESCRIPTION:
 * c_pulsate.c header.
*/

#pragma once

#include "c_sprite.h"

#define C_PULSATE_LIMIT 0xFF

struct CPulsate
{
	u32 id;
	f32 baseScale;
	f32 value;
	s32 timer;
	s32 timerMax;
	bool isDisabled;
};

void c_pulsate_set(struct CPulsate* self, f32 baseScale, f32 value, s32 timerMax);
void c_pulsate_register(void);
