/*
 * DESCRIPTION:
 * c_stun.c header.
*/

#pragma once

#include "c_control.h"
#include "c_health.h"
#include "c_physics.h"
#include "c_rotation.h"

#define C_STUN_LIMIT 0xFF

struct CStun
{
	u32 id;
	s32 timer;
	s32 timerMax;
	bool isStun;
};

void c_stun_set(struct CStun* self, s32 timerMax);
void c_stun_register(void);
