/*
 * DESCRIPTION:
 * e_logo.c header.
*/

#pragma once

#include "c_color_change.h"
#include "c_move.h"

#define LOGO_SHADER SHADER_TEXTURE_QUAD
#define LOGO_ORIGIN ORIGIN_CENTER
#define LOGO_COLOR_CHANGE_BASE_COLOR COLOR_TRANSPARENT
#define LOGO_COLOR_CHANGE_COLOR COLOR_OPAQUE
#define LOGO_TIMER 60

static const vec3 LOGO_MOVE_START = {640.0f, 360.0f, 0.0f};
static const vec3 LOGO_MOVE_END = {640.0f, 300.0f, 0.0f};
static const vec2 LOGO_SIZE = {512.0f, 512.0f};

void logo_init(u32 id);
