/*
 * DESCRIPTION:
 * Menu screen text.
*/

#include "e_text.h"

/* Initializes text. */
void
text_init
(
	u32 id, 
	enum OriginType origin,
	struct Font font, 
	char* string, 
	s32 length, 
	s32 wrap,
	vec4 color, 
	vec3 position
)
{
	struct CText* text;

	text = ecs_add(id, ECS_C_TEXT);
	ecs_add(id, ECS_C_COLOR_CHANGE);
	ecs_add(id, ECS_C_SCALE);

	c_text_set
	(
		text,
		TEXT_SHADER,
		origin,
		font,
		string,
		length,
		wrap,
		color,
		position
	);
}
