/*
 * DESCRIPTION:
 * game_sound.c header.
*/

#pragma once

#include "../GAME.h"

static const char* SOUND_PATHS[SOUND_COUNT] = 
{
	"res/sfx/collide.ogg",
	"res/sfx/hurt.ogg",
	"res/sfx/level.ogg",
	"res/sfx/warning.ogg",
	"res/sfx/hover.ogg",
	"res/sfx/select.ogg",
};

void game_sound_init(enum SoundType sound);
void game_sound_free(enum SoundType sound);
