/*
 * DESCRIPTION:
 * atlas.c header.
*/

#include "texture.h"

struct Atlas
{
	struct Texture texture;
	s32 frameW;
	s32 frameH;
	s32 rows;
	s32 cols;
	s32 index;
};

void atlas_init(struct Atlas* atlas, struct Texture texture, s32 frameW, s32 frameH, s32 rows, s32 cols);
void atlas_uv_get(struct Atlas* atlas, vec2 uvMin, vec2 uvMax);
