/*
 * DESCRIPTION:
 * event.c header.
*/

#pragma once

#include <SDL2/SDL.h>

#include "../util/UTIL.h"

#define EVENT_COUNT EVENT_QUIT + 1
enum EventType
{
        EVENT_QUIT
};

struct Event
{
	bool isWindowLeft;
	bool isWindowResized;
        bool curr[EVENT_COUNT];
        bool prev[EVENT_COUNT];
};

void event_update(struct Event* self);
bool event_press(struct Event* self, enum EventType type);
bool event_held(struct Event* self, enum EventType type);
bool event_release(struct Event* self, enum EventType type);
