/*
 * DESCRIPTION:
 * Handles ticks; game intervals.
*/

#include "tick.h"

/* Update ticks. */
void
tick_update(struct Tick* self)
{
        self->prev = self->curr;
        self->curr = SDL_GetTicks64();
        self->delta = self->curr - self->prev;
        self->cum += self->delta;
}
