/*
 * DESCRIPTION:
 * vao.c header.
*/

#pragma once

#include <GL/glew.h>
#include <GL/gl.h>

#include "../util/UTIL.h"

struct VAO
{
	GLuint handle;
};

void vao_init(struct VAO* self);
void vao_bind(struct VAO* self);
void vao_unbind(void);
void vao_free(struct VAO* self);
