/*
 * DESCRIPTION:
 * Color component.
*/

#include "c_color.h"

/* Sets color component. */
void
c_color_set(struct CColor* self, enum CColorType type)
{
	self->type = type;
}

/* Registers color component. */
void
c_color_register(void)
{
	ecs_register
	(
		ECS_C_COLOR,
		sizeof(struct CColor),
		C_COLOR_LIMIT,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL
	);
}
