/*
 * DESCRIPTION:
 * c_color_collide_delete.c header.
*/

#pragma once

#include "c_circle_collide.h"
#include "c_color.h"
#include "c_particle_spawn.h"

#define C_COLOR_COLLIDE_DELETE_LIMIT 0xFF

#define C_COLOR_COLLIDE_DELETE_COLOR_CHANGE_TIMER_MAX 30
#define C_COLOR_COLLIDE_DELETE_SCALE_TIMER_MAX 30
#define C_COLOR_COLLIDE_DELETE_SCALE_VALUE -1.0f
#define C_COLOR_COLLIDE_DELETE_SCALE_BASE_VALUE 1.0f
#define C_COLOR_COLLIDE_DELETE_SCALE_TYPE C_SCALE_FROM

struct CColorCollideDelete
{
	u32 id;
	bool isDisabled;
	bool isCollided;
	u32 collideID;
};

void c_color_collide_delete_register(void);
