/*
 * DESCRIPTION:
 * c_damage.c header.
*/

#pragma once

#include "c_health.h"
#include "c_flash.h"
#include "c_stun.h"

#define C_DAMAGE_LIMIT 0xFF
#define C_DAMAGE_TIMER 18

struct CDamage
{
	u32 id;
	u32 timer;
	bool isDisabled;
	bool isDamaged;
	bool isDamageUpdate;
};

static const vec4 C_DAMAGE_FLASH_COLOR = {1.0f, 0.0f, 0.0f, 1.0f};

void c_damage_register(void);
