/*
 * DESCRIPTION:
 * c_health.c header.
*/

#pragma once

#include "entity.h"

#define C_HEALTH_LIMIT 0xFF

struct CHealth
{
	u32 id;
	s32 current;
	s32 max;
	bool isDead;
};

void c_health_set(struct CHealth* self, s32 max);
void c_health_register(void);
