/*
 * DESCRIPTION:
 * c_ui_button.c header.
*/

#pragma once

#include "c_color_change.h"

#define C_UI_BUTTON_LIMIT 0xFF

enum CUIButtonState
{
	C_UI_BUTTON_IDLE,
	C_UI_BUTTON_HOVER,
	C_UI_BUTTON_HELD
};

struct CUIButton
{
	u32 id;
	vec4 baseColor;
	vec4 selectColor;
	bool isDisabled;
	bool isPressed;
	enum CUIButtonState state;
};

void c_ui_button_set(struct CUIButton* self, vec4 baseColor, vec4 selectColor);
void c_ui_button_register(void);
