/*
 * DESCRIPTION:
 * UI button entity.
*/

#include "e_ui_button.h"

/* Initializes UI Button entity. */
void
ui_button_init
(
	u32 id,
	enum OriginType origin,
	struct Font font,
	char* string,
	s32 length,
	vec4 color,
	vec4 selectColor,
	vec3 position
)
{
	struct CUIButton* uiButton;

	uiButton = ecs_add(id, ECS_C_UI_BUTTON);

	text_init(id, origin, font, string, length, UI_BUTTON_WRAP, color, position);

	c_ui_button_set
	(
		uiButton,
		color,
		selectColor
	);
}
