/*
 * DESCRIPTION: 
 * e_warning.c header.
*/

#pragma once

#include "c_color.h"
#include "c_color_change.h"
#include "c_time_delete.h"

#define WARNING_FRICTION 1.00f
#define WARNING_VELOCITY_MAX 1.0f
#define WARNING_RADIUS 0.0f
#define WARNING_TIMER 60
#define WARNING_SHADER SHADER_TEXTURE_QUAD
#define WARNING_ORIGIN ORIGIN_CENTER

static const vec2 WARNING_SIZE = {32.0f, 32.0f};

void warning_init(u32 id, vec3 position, enum CColorType color);
