/*
 * DESCRIPTION:
 * game_font.c header.
*/

#pragma once

#include "../GAME.h"

static const char* FONT_PATHS[FONT_COUNT] = 
{
	"res/font/upheaval.ttf",
	"res/font/upheaval.ttf",
};

static const s32 FONT_SIZES[FONT_COUNT] =
{
	24,
	48
};

void game_font_init(enum FontType font);
void game_font_free(enum FontType font);
