/*
 * DESCRIPTION:
 * game_texture.c header.
*/

#pragma once

#include "../GAME.h"

static const char* TEXTURE_PATHS[TEXTURE_COUNT] = 
{
	"res/gfx/player.png",
	"res/gfx/follower.png",
	"res/gfx/enemy.png",
	"res/gfx/particle.png",
	"res/gfx/warning.png",
	"res/gfx/logo.png"
};

void game_texture_init(enum TextureType texture);
void game_texture_free(enum TextureType texture);
