/*
 * DESCRIPTION:
 * Rectangle functions.
*/

#include "rectangle.h"

/* Does the rectangle have the specified point? */
bool
rectangle_has_point(vec4 rectangle, vec2 point)
{
	if
	(
		point[0] >= rectangle[0] &&
		point[1] >= rectangle[1] &&
		point[0] <= rectangle[2] &&
		point[1] <= rectangle[3]
	)
		return true;
	return false;
}
